const multer = require('multer')
const { db } = require('./db')

const uploadMiddleware = multer({ dest: './static/uploads' })

const handleFile = async (req, res) => {
  const { file, description } = req
  if (!file) await res.json({ error: 'File not received.' })
  const dbFile = await db.mutation.createFile({
    data: {
      path: file.path,
      name: file.originalname,
      description: description,
      filename: '',
      mimetype: file.mimetype,
      size: file.size
    }
  })
  console.log(dbFile)

  await res.json({ file })
}

module.exports = { uploadMiddleware, handleFile }
